Package org.eclipse.m2m.atl.emftvm.launcher

# Class EmftvmLauncherImages

java.lang.Object
org.eclipse.m2m.atl.emftvm.launcher.EmftvmLauncherImages

public final class EmftvmLauncherImages extends Object
Images for EMFTVM launcher plug-in.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.eclipse.jface.resource.ImageDescriptor`
`DESC_EMFTVM`
EMFTVM launch image.
`static final org.eclipse.jface.resource.ImageDescriptor`
`DESC_MAIN_TAB`
Main tab image.
`static final org.eclipse.jface.resource.ImageDescriptor`
`DESC_PARAMETER_TAB`
Parameter tab image.
`static final String`
`ICONS_PATH`
Icons path.
`static final String`
`NAME_PREFIX`
Image name prefix.
`static final String`
`OBJ_MAIN_TAB`
Main tab image name.
`static final String`
`OBJ_PARAMETER_TAB`
Parameter tab image name.
`static final String`
`PATH_OBJ`
OBJ image path.

## Method Summary

Modifier and Type
Method
Description
`static org.eclipse.swt.graphics.Image`
`get(String key)`
Returns the `Image` for `key`, or `null`.
`static org.eclipse.swt.graphics.Image`
`manage(String key, org.eclipse.jface.resource.ImageDescriptor desc)`
Creates an `Image` from `desc`, and registers it under `key`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ICONS_PATH

public static final String ICONS_PATH
Icons path.

See Also:
  - Constant Field Values

### NAME_PREFIX

public static final String NAME_PREFIX
Image name prefix.

See Also:
  - Constant Field Values

### OBJ_MAIN_TAB

public static final String OBJ_MAIN_TAB
Main tab image name.

See Also:
  - Constant Field Values

### OBJ_PARAMETER_TAB

public static final String OBJ_PARAMETER_TAB
Parameter tab image name.

See Also:
  - Constant Field Values

### PATH_OBJ

public static final String PATH_OBJ
OBJ image path.

See Also:
  - Constant Field Values

### DESC_EMFTVM

public static final org.eclipse.jface.resource.ImageDescriptor DESC_EMFTVM
EMFTVM launch image.

### DESC_MAIN_TAB

public static final org.eclipse.jface.resource.ImageDescriptor DESC_MAIN_TAB
Main tab image.

### DESC_PARAMETER_TAB

public static final org.eclipse.jface.resource.ImageDescriptor DESC_PARAMETER_TAB
Parameter tab image.

## Method Details

### get

public static org.eclipse.swt.graphics.Image get(String key)
Returns the `Image` for `key`, or `null`.

Parameters:
  `key` - the image name
Returns:
  the `Image` for `key`, or `null`.

### manage

public static org.eclipse.swt.graphics.Image manage(String key, org.eclipse.jface.resource.ImageDescriptor desc)
Creates an `Image` from `desc`, and registers it under `key`.

Parameters:
  `key` - the image name
  `desc` - the image descriptor
Returns:
  the new `Image`